6.0.0-git
2021-01-18

[#3703] PATH_INFO is not preserved on login redirect.
Summary PATH_INFO is not preserved on login redirect.
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester horde (at) portfolio16 (dot) de
Created 2006-03-28 (5410 days ago)
Due
Updated 2006-04-02 (5405 days ago)
Assigned 2006-03-28 (5410 days ago)
Resolved 2006-04-02 (5405 days ago)
Milestone
Patch No

History
2006-04-02 05:13:33 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
Fixed in CVS, and will be in Horde 3.1.2.
2006-03-28 22:20:20 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2006-03-28 15:53:16 horde (at) portfolio16 (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ PATH_INFO is not preserved on login redirect.
Queue ⇒ Horde Framework Packages
Reply to this comment
Hi,



I'm using Horde 3.1.1 and Chora 2.0.1. The usage is restricted to 
developers, so if someone jumps to a chora URL, he gets redirected to 
/horde/login.php to give his credentials. After logging in he is NOT 
returned to the correct URL.



Steps to reproduce:

1. Developer gets commit-mail with the following URL:

https://HOST/horde/chora/diff.php/foo/bar/bin/notify?r1=1.3&r2=1.4&ty=h

2. When visiting this URL, he gets redirected to:

https://eisler.eisfair.net/horde/login.php?url=%2Fhorde%2Fchora%2Fdiff.php%3Fr1%3D1.3%26amp%3Br2%3D1.4%26amp%3Bty%3Dh&nosideba

r=1

(See the missing PATH_INFO)

3. After loggin in, he gets redirected back to:

https://HOST/horde/chora/diff.php?r1=1.3&r2=1.4&ty=h

That page gives a nondescript error message (obviously)...

Saved Queries